Bug 129078 - CONFIG_MPENTIUMIII specified in kernel-2.4.21-i686-hugemem.config
CONFIG_MPENTIUMIII specified in kernel-2.4.21-i686-hugemem.config
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www.gadgetwiz.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 15:38 EDT by Joel Griffiths
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 17:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Griffiths 2004-08-03 15:38:49 EDT
Description of problem:
The rpm build of the 2.4.21-15.0.3 Redhat kernel specifes a PIII
processor under an i686 build config file. The linux-2.4 spec file
copies the kernel-2.4.21-i686-hugemem.config to .config on i686
systems. Unfortunately, the processor specified in the config file is
not an i686 but a PIII:

# CONFIG_M686 is not set
CONFIG_MPENTIUMIII=y


Version-Release number of selected component (if applicable):
kernel-source-2.4.21-15.0.3.EL.i386.rpm

Additional Informatio:
This occurs only under the hugemem config file, so I doubt it is
configured this way on purpose. If it is done on purpose, I would be
curious to learn why.

-- Joel Griffiths
Comment 1 Arjan van de Ven 2004-08-03 15:42:28 EDT
a pIII compiled kernel can use the prefetch instruction, which
improves performance somewhat, this was done to offset some of the
4g/4g costs, with the assumption that all boxes with lots of ram are
pIII or later anyway

Note You need to log in before you can comment on or make changes to this bug.